> ## Documentation Index
> Fetch the complete documentation index at: https://docs.limejourney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Entities

> Managing customer profiles in Lime Journey

Entities represent your customers or users in Lime Journey. Each entity can have custom properties, associated events, and segment memberships.

## Properties

Entities can have any number of custom properties:

```typescript theme={null}
{
  "external_id": "customer123",
  "properties": {
    "plan_type": "basic",
    "team_size": 5,
    "signup_date": "2024-01-15"
  }
}
```

## Creating Entities

<CodeGroup>
  ```typescript SDK theme={null}
  await client.createEntity({
    externalId: 'customer123',
    properties: {
      plan_type: 'basic',
      team_size: 5
    }
  });
  ```

  ```bash HTTP theme={null}
  curl -X POST https://api.limejourney.com/entities \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "external_id": "customer123",
      "properties": {
        "plan_type": "basic",
        "team_size": 5
      }
    }'
  ```
</CodeGroup>
